from .dialect_compatibility import utcnow
from ..database import db


class Project(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    proposer = db.Column(db.String)
    title = db.Column(db.String)
    description = db.Column(db.String)
    timestamp = db.Column(db.DateTime, nullable=False, server_default=utcnow())

