from flask import render_template, Blueprint
from flask_login import login_required

from app import Project

bp = Blueprint("staff", __name__, url_prefix="/staff")


@bp.route("/projects")
@login_required
def view_projects():
    projects: list[Project] = Project.query.all()
    return render_template("pages/projects.html", projects=projects)
