
function wireupFrameComponents() {
    const sidebarOpenButton = document.getElementById("sidebar-trigger-button")
    const overlay = document.getElementById("overlay")
    sidebarOpenButton.addEventListener("click", () => openSidebar())
    overlay.addEventListener("click", () => closeSidebar())
}

function openSidebar() {
  document.getElementById("main").style.marginLeft = '320px'
  document.getElementById("sidebar").style.width = '320px'
  document.getElementById("sidebar").style.display = 'block'
  document.getElementById("overlay").style.display = 'block'
}

function closeSidebar() {
  document.getElementById("main").style.marginLeft = '0%'
  document.getElementById("sidebar").style.display = 'none'
  document.getElementById("sidebar-trigger-button").innerHTML = '<i class=\"fa fa-bars\">'
  document.getElementById("overlay").style.display = 'none'
}
window.onload = () => {
    wireupFrameComponents()
}
